@import "./vars.scss";
.navbar-area-with-ts {
    border-bottom: none;
    position: relative;
    z-index: 1;

    &::before {
        position: absolute;
        content: "";
        left: 0;
        top: 0;
        height: 100%;
        width: 255px;
        background-color: $main-color;
        z-index: -1;
    }
    &::after {
        position: absolute;
        content: "";
        right: 0;
        top: 0;
        height: 100%;
        width: 270px;
        background-color: $main-color;
        z-index: -1;
    }
    .container-fluid {
        padding: {
            left: 50px;
            right: 50px;
        };
    }
    .navbar-brand {
        font-size: 38px;
        color: $white-color;
        margin-right: 0;
    }
    .others-option {
        .option-item {
            display: inline-block;
            margin-right: 20px;

            &:last-child {
                margin-right: 0;
            }
            .default-btn {
                background-color: $optional-color;
            
                &:hover {
                    background-color: $dark-color;
                }
            }
            .info {
                span {
                    display: block;
                    font-size: 14px;
                    color: $white-color;
                    margin-bottom: 2px;
                }
                a {
                    color: $white-color;
                    font-size: 18px;
                    font-weight: 600;
                    transition: $transition;

                    &:hover {
                        color: $optional-color;
                    }
                }
            }
        }
    }
}
.navbar-area-with-saas {
    .container-fluid {
        padding: {
            left: 35px;
            right: 35px;
        };
    }
    .navbar-brand {
        font-size: 38px;
        color: $dark-color;
        margin-right: 0;

        span {
            color: $main-color;
        }
    }
    .others-option {
        .option-item {
            .default-btn {
                border-radius: 30px;
            }
        }
    }
}
.navbar-area-with-nft {
    .container-fluid {
        padding: {
            left: 35px;
            right: 35px;
        };
    }
    .navbar-brand {
        font-size: 38px;
        color: $dark-color;
        margin-right: 0;

        span {
            color: $main-color;
        }
    }
    .others-option {
        .option-item {
            display: inline-block;
            margin-right: 25px;

            &:last-child {
                margin-right: 0;
            }
            .search-box {
                width: 430px;
                position: relative;
    
                .input-search {
                    transition: $transition;
                    border: 1px solid #E5E5E5;
                    background-color: $white-color;
                    border-radius: 50px;
                    color: $dark-color;
                    padding: 15px 65px 15px 20px;
                    display: block;
                    height: 50px;
                    width: 100%;
                    outline: 0;
    
                    &::placeholder {
                        color: $paragraph-color;
                        transition: $transition;
                    }
                    &:focus {
                        border-color: $main-color;
    
                        &::placeholder {
                            color: transparent;
                        }
                    }
                }
                button {
                    background-color: transparent;
                    transition: $transition;
                    color: $paragraph-color;
                    position: absolute;
                    font-size: 20px;
                    right: 20px;
                    padding: 0;
                    border: 0;
                    top: 10px;
    
                    &:hover {
                        color: $main-color;
                    }
                }
            }    
            .default-btn {
                border-radius: 30px;
                padding: 12px 30px;
            }
        }
    }
}
.navbar-area-with-crypto {
    background-color: #0E223F !important;
    border-bottom: none;

    .container-fluid {
        padding: {
            left: 35px;
            right: 35px;
        };
    }
    .navbar-brand {
        font-size: 38px;
        color: $white-color;
        margin-right: 0;
    }
    .navbar-nav {
        .nav-link {
            color: #5F82A8;

            &.active {
                color: $optional-color !important;
            }
            &:hover {
                color: $optional-color !important;
            }
        }
    }
}